package com.bizzan.bitrade.service;

import com.bizzan.bitrade.dao.ExchangeCodeDao;
import com.bizzan.bitrade.entity.ExchangeCode;
import com.bizzan.bitrade.service.Base.BaseService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class ExchangeCodeService extends BaseService {

    @Autowired
    private ExchangeCodeDao exchangeCodeDao;

    public ExchangeCode save(ExchangeCode exchangeCode){
        return exchangeCodeDao.save(exchangeCode);
    }

    public List<ExchangeCode> findByCode(String code){
        return exchangeCodeDao.findByCode(code);
    }
}
